Passer au contenu principal
PATCH
/
media-bridge
/
2026-03
/
{appId}
/
schemas
/
{objectType}
Mettre à jour le schéma d'un type d'objet
curl --request PATCH \
  --url https://api.hubapi.com/media-bridge/2026-03/{appId}/schemas/{objectType} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "clearDescription": true,
  "allowsSensitiveProperties": true,
  "description": "<string>",
  "labels": {
    "plural": "<string>",
    "singular": "<string>"
  },
  "primaryDisplayProperty": "<string>",
  "requiredProperties": [
    "<string>"
  ],
  "restorable": true,
  "searchableProperties": [
    "<string>"
  ],
  "secondaryDisplayProperties": [
    "<string>"
  ]
}
'
{
  "allowsSensitiveProperties": true,
  "archived": true,
  "fullyQualifiedName": "<string>",
  "id": "<string>",
  "labels": {
    "plural": "<string>",
    "singular": "<string>"
  },
  "name": "<string>",
  "objectTypeId": "<string>",
  "requiredProperties": [
    "<string>"
  ],
  "searchableProperties": [
    "<string>"
  ],
  "secondaryDisplayProperties": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "portalId": 123,
  "primaryDisplayProperty": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

appId
integer<int32>
requis

L'appId de l'application Media Bridge. Il est possible d'avoir plusieurs applications dans votre compte développeur qui utilisent le Media Bridge.

objectType
string
requis

Le type d'objet pour lequel vous souhaitez mettre à jour le schéma.

Corps

application/json
clearDescription
boolean
requis
allowsSensitiveProperties
boolean
description
string
labels
object
primaryDisplayProperty
string
requiredProperties
string[]
restorable
boolean
searchableProperties
string[]
secondaryDisplayProperties
string[]

Réponse

successful operation

allowsSensitiveProperties
boolean
requis
archived
boolean
requis
fullyQualifiedName
string
requis
id
string
requis
labels
object
requis
name
string
requis
objectTypeId
string
requis
requiredProperties
string[]
requis
searchableProperties
string[]
requis
secondaryDisplayProperties
string[]
requis
createdAt
string<date-time>
description
string
portalId
integer<int32>
primaryDisplayProperty
string
updatedAt
string<date-time>
Last modified on April 13, 2026